Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class Kmehrmessage

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.Kmehrmessage

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:16:34+01:00",
               comments="JAXB RI v2.3.6")
    public class Kmehrmessage

extends Object
implements Serializable

to transfer medical information about one or several patients (using one folder per patient).

Java class for kmehrmessageType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="kmehrmessageType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="confidentiality" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}confidentialityType" minOccurs="0"/>
             <element name="header" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}headerType"/>
             <choice>
               <sequence>
                 <element name="folder" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}folderType" maxOccurs="unbounded"/>
                 <element name="Signature" type="{http://www.w3.org/2000/09/xmldsig#}SignatureType" minOccurs="0"/>
               </sequence>
               <element name="EncryptedData" type="{http://www.w3.org/2001/04/xmlenc#}EncryptedType"/>
               <element name="Base64EncryptedData" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}Base64EncryptedDataType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Kmehrmessage()`

Method Summary
`Base64EncryptedDataType` | `getBase64EncryptedData()` Gets the value of the base64EncryptedData property.
`ConfidentialityType` | `getConfidentiality()` Gets the value of the confidentiality property.
`EncryptedType` | `getEncryptedData()` Gets the value of the encryptedData property.
`List<FolderType>` | `getFolders()` Gets the value of the folders property.
`HeaderType` | `getHeader()` Gets the value of the header property.
`JAXBElement<Signature>` | `getSignature()` Gets the value of the signature property.
`void` | `setBase64EncryptedData(Base64EncryptedDataType value)` Sets the value of the base64EncryptedData property.
`void` | `setConfidentiality(ConfidentialityType value)` Sets the value of the confidentiality property.
`void` | `setEncryptedData(EncryptedType value)` Sets the value of the encryptedData property.
`void` | `setHeader(HeaderType value)` Sets the value of the header property.
`void` | `setSignature(JAXBElement<Signature> value)` Sets the value of the signature property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Kmehrmessage

    public Kmehrmessage()

Method Detail

### getConfidentiality

    public ConfidentialityType getConfidentiality()

  Gets the value of the confidentiality property.

  Returns:
    possible object is `ConfidentialityType`

### setConfidentiality

    public void setConfidentiality(ConfidentialityType value)

  Sets the value of the confidentiality property.

  Parameters:
    `value` - allowed object is `ConfidentialityType`

### getHeader

    public HeaderType getHeader()

  Gets the value of the header property.

  Returns:
    possible object is `HeaderType`

### setHeader

    public void setHeader(HeaderType value)

  Sets the value of the header property.

  Parameters:
    `value` - allowed object is `HeaderType`

### getBase64EncryptedData

    public Base64EncryptedDataType getBase64EncryptedData()

  Gets the value of the base64EncryptedData property.

  Returns:
    possible object is `Base64EncryptedDataType`

### setBase64EncryptedData

    public void setBase64EncryptedData(Base64EncryptedDataType value)

  Sets the value of the base64EncryptedData property.

  Parameters:
    `value` - allowed object is `Base64EncryptedDataType`

### getEncryptedData

    public EncryptedType getEncryptedData()

  Gets the value of the encryptedData property.

  Returns:
    possible object is `EncryptedType`

### setEncryptedData

    public void setEncryptedData(EncryptedType value)

  Sets the value of the encryptedData property.

  Parameters:
    `value` - allowed object is `EncryptedType`

### getFolders

    public List<FolderType> getFolders()

  Gets the value of the folders property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the folders property.

  For example, to add a new item, do as follows:

          getFolders().add(newItem);

  Objects of the following type(s) are allowed in the list `FolderType`

### getSignature

    public JAXBElement<Signature> getSignature()

  Gets the value of the signature property.

  Returns:
    possible object is `JAXBElement``<``Signature``>`

### setSignature

    public void setSignature(JAXBElement<Signature> value)

  Sets the value of the signature property.

  Parameters:
    `value` - allowed object is `JAXBElement``<``Signature``>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.